
Redmine - Defect #6683

Error 500 when viewing one of the repository

2010-10-15 17:05 - Vasily Titskiy

Status: Closed Start date: 2010-10-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.1

Description

When I try to open 'Repository' tab in one of the our projects I get 500 error:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

 And everything is ok with all other projects in this redmine installation.

redmine: 1.0.1

ruby: 4.5

rails: 2.3.5

Part of the log file:

Processing RepositoriesController#show (for 10.68.60.76 at 2010-10-14 10:25:36) [GET]

  Parameters: {"action"=>"show", "id"=>"a4repo", "controller"=>"repositories"}

NoMethodError (undefined method `left' for nil:NilClass):

  /usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `send'

  /usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `method_missing'

  app/models/changeset.rb:171:in `find_referenced_issues_by_id'

  app/models/changeset.rb:170:in `select'

  app/models/changeset.rb:170:in `find_referenced_issues_by_id'

  app/models/changeset.rb:96:in `scan_comment_for_issue_ids'

  app/models/changeset.rb:77:in `after_create'

  /usr/lib/ruby/1.8/active_record/callbacks.rb:347:in `send'

  /usr/lib/ruby/1.8/active_record/callbacks.rb:347:in `callback'

  /usr/lib/ruby/1.8/active_record/callbacks.rb:267:in `create'

  /usr/lib/ruby/1.8/active_record/base.rb:2874:in `create_or_update_without_callbacks'

  /usr/lib/ruby/1.8/active_record/callbacks.rb:250:in `create_or_update'

  /usr/lib/ruby/1.8/active_record/base.rb:2538:in `save_without_validation'

  /usr/lib/ruby/1.8/active_record/validations.rb:1078:in `save_without_dirty'

  /usr/lib/ruby/1.8/active_record/dirty.rb:79:in `save_without_transactions'

  /usr/lib/ruby/1.8/active_record/transactions.rb:229:in `send'

  /usr/lib/ruby/1.8/active_record/transactions.rb:229:in `with_transaction_returning_status'

  /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/database_statements.rb:136:in `tran

saction'

  /usr/lib/ruby/1.8/active_record/transactions.rb:182:in `transaction'

  /usr/lib/ruby/1.8/active_record/transactions.rb:228:in `with_transaction_returning_status'

  /usr/lib/ruby/1.8/active_record/transactions.rb:196:in `save'

  /usr/lib/ruby/1.8/active_record/transactions.rb:208:in `rollback_active_record_state!'

  /usr/lib/ruby/1.8/active_record/transactions.rb:196:in `save'

  /usr/lib/ruby/1.8/active_record/base.rb:723:in `create'

  app/models/repository/subversion.rb:59:in `fetch_changesets'

  /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/database_statements.rb:136:in `tran

saction'

  /usr/lib/ruby/1.8/active_record/transactions.rb:182:in `transaction'

  /usr/lib/ruby/1.8/active_record/transactions.rb:188:in `transaction'
  app/models/repository/subversion.rb:58:in `fetch_changesets'

  app/models/repository/subversion.rb:57:in `reverse_each'

  app/models/repository/subversion.rb:57:in `fetch_changesets'

  /usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `send'

  /usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `method_missing'

  app/controllers/repositories_controller.rb:77:in `show'

  /usr/lib/ruby/1.8/action_controller/base.rb:1331:in `send'

  /usr/lib/ruby/1.8/action_controller/base.rb:1331:in `perform_action_without_filters'

  /usr/lib/ruby/1.8/action_controller/filters.rb:617:in `call_filters'

  /usr/lib/ruby/1.8/action_controller/filters.rb:610:in `perform_action_without_benchmark'

  /usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

  /usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

  /usr/lib/ruby/1.8/action_controller/rescue.rb:160:in `perform_action_without_flash'

  /usr/lib/ruby/1.8/action_controller/flash.rb:146:in `perform_action'

  /usr/lib/ruby/1.8/action_controller/base.rb:532:in `send'

  /usr/lib/ruby/1.8/action_controller/base.rb:532:in `process_without_filters'

  /usr/lib/ruby/1.8/action_controller/filters.rb:606:in `process'

  /usr/lib/ruby/1.8/action_controller/base.rb:391:in `process'

  /usr/lib/ruby/1.8/action_controller/base.rb:386:in `call'

  /usr/lib/ruby/1.8/action_controller/routing/route_set.rb:437:in `call'

  /usr/lib/ruby/1.8/action_controller/dispatcher.rb:87:in `dispatch'

  /usr/lib/ruby/1.8/action_controller/dispatcher.rb:121:in `_call'

  /usr/lib/ruby/1.8/action_controller/dispatcher.rb:130

  /usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call'

  /usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call'

  /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

  /usr/lib/ruby/1.8/active_record/query_cache.rb:9:in `cache'

  /usr/lib/ruby/1.8/active_record/query_cache.rb:28:in `call'

  /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

  /usr/lib/ruby/1.8/action_controller/string_coercion.rb:25:in `call'

  /usr/lib/ruby/1.8/rack/head.rb:9:in `call'

  /usr/lib/ruby/1.8/rack/methodoverride.rb:24:in `call'

  /usr/lib/ruby/1.8/action_controller/params_parser.rb:15:in `call'

  /usr/lib/ruby/1.8/action_controller/session/cookie_store.rb:93:in `call'

  /usr/lib/ruby/1.8/action_controller/failsafe.rb:26:in `call'

  /usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

  /usr/lib/ruby/1.8/rack/lock.rb:11:in `synchronize'

  /usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

  /usr/lib/ruby/1.8/action_controller/dispatcher.rb:106:in `call'

  /usr/lib/ruby/1.8/rack/content_length.rb:13:in `call'

  /usr/lib/ruby/1.8/rack/handler/fastcgi.rb:57:in `serve'

  public/dispatch.fcgi:24

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

Related issues:

Related to Redmine - Defect #7325: When browsing a file in a Mercurial reposi... Closed 2011-01-13

Is duplicate of Redmine - Defect #7890: Internal server error when referencin... Closed 2011-03-16

History

#1 - 2010-10-16 02:08 - Toshi MARUYAMA

It seems to you upgraded redmine from 0.9.x to 1.0.1 and you forget to run "rake db:migrate".

#2 - 2010-10-16 04:29 - Vasily Titskiy

Actually, I got exactly the same error in 0.9.x (at some time) and decided to upgrade to 1.0.1. Nothing changes.

Also, please look at this topic: http://www.redmine.org/boards/2/topics/16046

Anyway, I'll run 'rake db:migrate' and show results.

#3 - 2010-10-18 15:46 - Vasily Titskiy

So, Apache server was stopped and I run all migration scripts:

sh-3.2$ rake db:migrate RAILS_ENV=production

(in /usr/share/redmine)
sh-3.2$ rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

(in /usr/share/redmine)

Fixing migration info

Migration info successfully migrated - removing old schema info table

sh-3.2$ rake db:migrate_plugins RAILS_ENV=production

(in /usr/share/redmine)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...

Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.9.2...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating redmine_graphs...

Migrating redmine_repo_pygments...

Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

sh-3.2$ exit

Than Apache was started but nothing changes. Everything is working except viewing of one of our repositories.

#4 - 2011-01-14 04:52 - Toshi MARUYAMA

- Category changed from Issues to SCM

#5 - 2011-03-17 05:32 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

It seems duplicate with #7890.
